from sklearn.feature_extraction.text import CountVectorizer
import joblib
import topicwizard
from sklearn.decomposition import NMF
from sklearn.pipeline import make_pipeline

'''
isntallation:
pip install topic-wizard

'''

if __name__ == '__main__':
    vectorizer = CountVectorizer(min_df=5, max_df=0.8, stop_words="english")

    model = NMF(n_components=10)

    topic_pipeline = make_pipeline(vectorizer, model)



    topic_pipeline.fit(corpus)

    print("launching topicwizard visualizer (may take a while)...")
    topicwizard.visualize(corpus, model=topic_pipeline)

    exit(0)